#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lksctp-tools
Version		:	1.0.19
Release		:	17.0.10.rel%{?dist}
Summary		:	User-space access to Linux Kernel SCTP

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-2.0 and MIT
URL		:	http://lksctp.sourceforge.net
			#https://github.com/sctp/lksctp-tools/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
This is the lksctp-tools package for Linux Kernel
SCTP (Stream Control Transmission Protocol)
Reference Implementation.
 
This package is intended to supplement the
Linux Kernel SCTP Reference Implementation now
available in the Linux kernel source tree in
versions 2.5.36 and following.  For more
information on LKSCTP see the package documentation
README file, section titled "LKSCTP - Linux Kernel SCTP."
 

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc AUTHORS README
%license COPYING*
%{_bindir}/checksctp
%{_bindir}/sctp_*
%{_bindir}/withsctp
%{_libdir}/libsctp.so.1*
%{_libdir}/%{name}/libwithsctp.so.1*
%{_mandir}/man7/sctp.7.gz


#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Development files for lksctp-tools which
include man pages, header files, static
libraries, symlinks to dynamic libraries and
some tutorial source code.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/netinet/sctp.h
%{_libdir}/libsctp.so
%{_libdir}/%{name}/libwithsctp.so
%{_libdir}/pkgconfig/libsctp.pc
%{_datadir}/%{name}/sctp_*.h
%{_datadir}/%{name}/checksctp.c
%{_datadir}/%{name}/sctp_*.c
%{_mandir}/man3/sctp_*.3.gz
 

#=============================================================================
%package		doc
Summary		:	Documents pertaining to SCTP

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Development files for lksctp-tools which
include man pages, header files, static
libraries, symlinks to dynamic libraries and
some tutorial source code.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%doc doc/*.txt

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
[ ! -x ./configure ] && sh bootstrap

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
